Bank Kalteng (Phase 2) - Bug #1207

[Benefit Management] Import Medical Data tidak bisa
06/06/2022 02:56 PM - Mega Yunita

Status: Closed Start date: 06/06/2022
Priority: Urgent Due date: 06/08/2022
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description
Dear Tim Developer,
Mohon bantuannya untuk menangani masalah yang terjadi saat melakukan import MD.
Masalah tersebut adalah tidak ketahuan file tersebut success di import atau malah error.
Port : http:/103.168.134.28:31130/
Server : 103.168.134.119
DB : MinovaES_BankKalteng_Dev
Menu : HR Admin > Benefit Managemen > Medical > Import Medical Data
Semoga dapat dimengerti
Terimakasih
C A Notsecure | 103.168.134.28:31130/Page/uploadMDCust?0ObHbAtRrkx7KtAPFKLS20PX 1yne3ah4m Q =2 % = 0O
Human Resource  Business System Search Q. Help | cricsson ~

b Import Medical

HOME > IMPORT MEDICAL

s Organization Management
File Ci\fakepath\PHRPAOD43 (3).x1s BE=3

I Employes Administration -
(@) Simulate

() Execute
M Time Management

[] Force Save Data

I Travel Management

Medical Master Data
Claim Status
Medical Claim
Import Medical
Summary
Medical Report Success
Ermor:
s Recruitment Management
Warning:
I Payroll Administration

I Payroll Accounting Record ID Status LogiD

s HR Strategic

Email Blast

4

Related issues:
Copied from Bug #1206: [Travel Management] Import Travel Data tidak bisa

Rejected 06/06/2022 06/08/2022

History

#1 - 06/06/2022 02:56 PM - Mega Yunita
- File clipboard-202206061455-e5y2b.png added
- Copied from Bug #1206: [Travel Management] Import Travel Data tidak bisa added

#2 - 06/06/2022 03:06 PM - Mega Yunita

- Status changed from New to Assigned
http://103.168.134.28:31130/

#3 - 06/06/2022 04:54 PM - Saswanto Tampan
- File TempMedical.xIs added
- Status changed from Assigned to Revise

- Assignee changed from Saswanto Tampan to Mega Yunita

sheet namenya disesuaikan dengan nama tabel master datanya
coba tamplate importnya pakai ini

#4 - 07/25/2022 01:57 PM - Kezia Pawitra Yulianti

- Assignee changed from Mega Yunita to Fiona Avangeline Jonathan

Dear Fiona,
tolong d test untuk issue ini ya. Hampir mirip dgn task import travel kmrn

Tks

#5 - 07/25/2022 02:38 PM - Fiona Avangeline Jonathan
- File TempMedical.xIs added

Mang Wanto,

Untuk issue ini belum solved. Sudah dicoba upload menggunakan template yang diberikan namun issue tetap muncul. Berikut saya lampirkan
template yang saya gunakan untuk upload.

Terima kasih.

#6 - 07/25/2022 02:38 PM - Fiona Avangeline Jonathan
- Status changed from Revise to Assigned

- Assignee changed from Fiona Avangeline Jonathan to Saswanto Tampan

#7 - 09/12/2022 02:11 PM - Saswanto Tampan
- File PHRPA0043.xlIs added
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan

update API2
MinovalS.MinovaES.Data.Element.dll

UPDATE IU
.../app/controller/masterdata/CtrlUploadMDMedical.js

GUNAKAN CONTOH EXCEL DI BAWAH
PHRPA0043.xls

Untuk tabel lainnya maka file name xIs nya harus nama tabelnya

#8 - 09/23/2022 02:58 PM - Fiona Avangeline Jonathan
- File PHRPA0042.xIs added

- File PHRPA0043.xIs added

- File clipboard-202209231458-ypeja.png added

- File clipboard-202209231458-qdkds.png added

- Status changed from QA Test to Closed

Perbaikan di port http://103.168.134.28:61730/
Berikut file yang diupload untuk testing.

Data yang diimport (Medical Claim)
http://103.168.134.28:61730/

Medical Claim

HOME > MEDICAL

Employee Master Data - 00000283 - WIJAYANTI,S.T.

=

Employee ID: ooooo2s2 Company 10: PT. Bank Kalteng
Full Name: WIJAYANTLE.T. Employee Office: Cabang Utama
Employee Status: Active ‘Organization: Seksi Administrasi Keuangan dan Umum
Employee Type: Pagawai Tetap Directorate:
Division:
Position: Pemimpin Seksi

Edit - Medical Maintenance - 00000283 - WIJAYANTILS.T.

Start Date:

Travel Reguest No:

22/08/2022 | 0 | ®
Claim Type: Reimbursement HR Receive Date:
Treatment Type: Rawat Inap Payment Plan Date: A0/09/2022
Medical Family: Karyawan Claim Status approved
Patient Name: WIJAYANTI, ST (0] Notes:
A, Medical Institution
Medical Institution: test 1st Diagnossa: test
Address: test
2nd Diagnose:
Couniry: INDONESIA
Medical Phone: 4704RRT
M, Medical Institution
Medical Institution: test 1zt Disgnosa: test
Address: test
2nd Diagnose:
Couniry: INDONESIA
Medical Phone: 1234567 Medical Action: -
Doctor Mame:
A, Medical Ingvice
Invoice Number: 12245873
Invoice Date: 01/10/2022
Q Add | | Delete
Cost Type Speciali.. Quanti.. Unit Amo.. Curren.. Total Amo... Covered By Comp... Notes
1| Klinik Perawatan Khusus Umum 1 300,000.00 Rp 300,000.00 1,000,000.00
2 | Perawatan Kesehatan di Luar Wilayah Kerja Bank Kalteng / di Luar Megeri  Umum 1 1,000,000.00 Rp 1,000,000.00 2,000,000.00
Total Amo... Covered By Comp... Covered By Emplo...
1.200.000.00 3.000.000.00 0.00
Terima kasih.
Files
clipboard-202206061437-amwyh.png 81.4 KB 06/06/2022 Mega Yunita
clipboard-202206061455-e5y2b.png 79.9 KB 06/06/2022 Mega Yunita
TempMedical.xls 11.6 KB 06/06/2022 Saswanto Tampan
TempMedical.xls 12.9 KB 07/25/2022 Fiona Avangeline Jonathan
PHRPAQ043.xls 9.88 KB 09/12/2022 Saswanto Tampan
PHRPAQ042.xls 10.8 KB 09/23/2022 Fiona Avangeline Jonathan
PHRPA0043.xlIs 9.88 KB 09/23/2022 Fiona Avangeline Jonathan
clipboard-202209231458-ypeja.png 42.2 KB 09/23/2022 Fiona Avangeline Jonathan
clipboard-202209231458-qdkds.png 33.9 KB 09/23/2022 Fiona Avangeline Jonathan
